## ruli-0.20.tar.gz

=== sample/Makefile ===
#
# $Id: Makefile,v 1.6 2004/03/26 18:57:32 evertonm Exp $
#

#
# OOP_INCLUDE_DIR points the location of
# Liboop headers in your system
#
# OOP_LIB_DIR points the location of
# Liboop libraries in your system
#
# Debian packaging likes this: OOP_BASE_DIR = /usr/lib
#

OOP_BASE_DIR    = /usr/local/oop
OOP_INCLUDE_DIR = $(OOP_BASE_DIR)/include
OOP_LIB_DIR     = $(OOP_BASE_DIR)/lib

#
# INSTALL_BASE_DIR indicates where RULI
# is to be installed in your system
#
# Debian packaging likes this: INSTALL_BASE_DIR = $(DESTDIR)/usr
#
INSTALL_BASE_DIR    = ../install/ruli
INSTALL_INCLUDE_DIR = $(INSTALL_BASE_DIR)/include
INSTALL_LIB_DIR     = $(INSTALL_BASE_DIR)/lib
INSTALL_BIN_DIR     = $(INSTALL_BASE_DIR)/bin
INSTALL_MAN_DIR     = $(INSTALL_BASE_DIR)/share/man

#SOLARIS_LDFLAGS = -lresolv -lnsl -R$(OOP_LIB_DIR) -R$(INSTALL_LIB_DIR)

CC      = gcc
CFLAGS  = -O2 -pipe -Wall -g -I$(INSTALL_INCLUDE_DIR) -I$(OOP_INCLUDE_DIR)
LDFLAGS = -L$(INSTALL_LIB_DIR) -L$(OOP_LIB_DIR) -lruli -loop $(SOLARIS_LDFLAGS)

TARGETS = srvsearch sync_srvsearch smtpsearch sync_smtpsearch

.PHONY: default
default: $(TARGETS)

.PHONY: clean
clean:
	rm -f *~ .*~ *.o $(TARGETS)

.PHONY: build
build: clean default

.PHONY: strip
strip: $(TARGETS)
	strip $(TARGETS)

.PHONY: install
install: $(TARGETS)
	install -d $(INSTALL_BIN_DIR) $(INSTALL_MAN_DIR)/man1
	install -m 755 $(TARGETS) $(INSTALL_BIN_DIR)
	install -m 644 ../doc/man/*.1 $(INSTALL_MAN_DIR)/man1
	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 smtpsearch.1
	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 sync_srvsearch.1
	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 sync_smtpsearch.1

srvsearch: srvsearch.o stdout_srv_list.o
	$(CC) $(LDFLAGS) -o $@ $^

sync_srvsearch: sync_srvsearch.o stdout_srv_list.o
	$(CC) $(LDFLAGS) -o $@ $^

smtpsearch: smtpsearch.o stdout_srv_list.o
	$(CC) $(LDFLAGS) -o $@ $^

sync_smtpsearch: sync_smtpsearch.o stdout_srv_list.o
	$(CC) $(LDFLAGS) -o $@ $^

=== debian/changelog ===
ruli (0.20-1) unstable; urgency=low

  * Added 'libruli-bin' binary package for sample programs.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Fri, 26 Mar 2004 21:13:41 -0300

ruli (0.19-1) unstable; urgency=low

  * New upstream release.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Fri, 25 Mar 2004 20:11:35 -0300

ruli (0.18-2) unstable; urgency=low

  * Generating 'orig' source tarball.
  * Added 'Section' to source package under 'debian/control'.
  * Cleaned up an example in the original source.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Thu, 18 Mar 2004 10:09:13 -0300

ruli (0.18-1) unstable; urgency=low

  * New upstream release.
  * Removed unused '${misc:Depends}' from 'debian/control'.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Thu, 18 Mar 2004 10:08:17 -0300

ruli (0.17-2) unstable; urgency=low

  * Removed inocuous comments from 'debian/rules'.
  * Added detection of shared library version to 'debian/rules'.
  * Removed unused files.
  * Added bogus man page.
  * Closes: #234303

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Wed, 25 Feb 2004 00:05:56 -0300

ruli (0.17-1) unstable; urgency=low

  * Initial Release.
  * Adjusted the Makefile to fix $DESTDIR problems.
  * Added top level Makefile.
  * Changed src/Makefile to use 'install -m 644' instead of 'cp'.
  * Changed src/Makefile to issue 'libruli.so.1' instead of 'libruli.so'.
  * Added SONAME to 'libruli.so.1' in src/Makefile.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Sun, 22 Feb 2004 00:12:25 -0300

=== debian/control ===
Source: ruli
Section: libs
Priority: optional
Maintainer: Everton da Silva Marques <evertonsm@yahoo.com.br>
Build-Depends: debhelper (>= 4.0.0), binutils (>= 2.14.90.0.7-3), gcc-3.3 (>= 1), libc6 (>= 2.3.2.ds1-10), libc6-dev (>= 2.3.2.ds1-10), liboop-dev (>= 1.0-1), linux-kernel-headers (>= 2.5.999-test7-bk-9)
Standards-Version: 3.6.0

Package: libruli1-dev
Section: devel
Architecture: any
Depends: libruli1 (= ${Source-Version}), liboop-dev (>= 1.0-1)
Provides: libruli-dev
Conflicts: libruli-dev
Description: Library for easily querying DNS SRV records - development files
 RULI stands for Resolver User Layer Interface. It's a library
 built on top of an asychronous DNS stub resolver. RULI
 provides an easy-to-use interface for querying DNS SRV
 resource records. The goal is to promote the wide deployment
 of SRV-cognizant client programs. RULI aims to fully support
 SRV-related standards.
 .
 This package contains the RULI development libraries and
 header files, required to develop and/or compile
 applications that use RULI.

Package: libruli-bin
Section: devel
Architecture: any
Depends: libruli1 (= ${Source-Version}), liboop4 (>= 1.0-1)
Provides: libruli-bin
Conflicts: libruli-bin
Description: Library for easily querying DNS SRV records - sample programs
 RULI stands for Resolver User Layer Interface. It's a library
 built on top of an asychronous DNS stub resolver. RULI
 provides an easy-to-use interface for querying DNS SRV
 resource records. The goal is to promote the wide deployment
 of SRV-cognizant client programs. RULI aims to fully support
 SRV-related standards.
 .
 This package contains the RULI sample programs.

Package: libruli1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, liboop4 (>= 1.0-1)
Provides: libruli
Description: Library for easily querying DNS SRV records
 RULI stands for Resolver User Layer Interface. It's a library
 built on top of an asychronous DNS stub resolver. RULI
 provides an easy-to-use interface for querying DNS SRV
 resource records. The goal is to promote the wide deployment
 of SRV-cognizant client programs. RULI aims to fully support
 SRV-related standards.
